# $Revision: 1.37 $, $Date: 2007-03-06 13:47:43 $
%define no_install_post_compress_docs 1

Summary:	Creates a top-level info `dir' file
Summary(pl.UTF-8):	Tworzy główny plik 'dir' dla systemu Info
Name:		fix-info-dir
Version:	0.13
Release:	9
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.pld.org.pl/software/fix-info-dir/%{name}-%{version}.tar.gz
# Source0-md5:	27e91d3e5c91a2fdad85bf93c9e4cfcf
Patch0:		%{name}-Makefile.patch
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility which creates a top-level `dir' file in the Info system.

%description -l pl.UTF-8
Narzędzie tworzące główny plik 'dir' dla systemu Info

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fomit-frame-pointer -DNDEBUG" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_infodir}}

install %{name} $RPM_BUILD_ROOT%{_sbindir}

touch $RPM_BUILD_ROOT%{_infodir}/{dir,dir.old}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/fix-info-dir %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%ghost %{_infodir}/dir
%ghost %{_infodir}/dir.old

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fix-info-dir.spec,v $
Revision 1.37  2007-03-06 13:47:43  spider
- rel++
- STBR

Revision 1.36  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.34  2006/09/06 17:48:47  sparky
- added Makefile patch
- removed Prereq: zlib
- pass rpmldflags

Revision 1.33  2006/02/26 15:03:16  sparky
- use CC="%{__cc}"

Revision 1.32  2005/03/21 22:04:44  mmazur
- rel 8 for th

Revision 1.31  2004/10/12 21:37:50  mmazur
- rel 7 for th

Revision 1.30  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.29  2004/08/07 19:18:19  havner
- rel 6

Revision 1.28  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.27  2003/08/30 13:09:23  mmazur
- rel 5 for ac

Revision 1.26  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.25  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.24  2003/05/25 05:47:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/10/04 08:02:57  kloczek
- release 4.

Revision 1.22  2002/04/25 16:18:23  arturs
- fixed a small typo

Revision 1.21  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/08/13 00:47:41  kloczek
- release 3: spec adapterized.

Revision 1.17  2001/04/30 16:05:17  kloczek
- added using %{rpmcflags} macro.

Revision 1.16  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2000/12/23 00:48:44  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.14  2000/12/16 04:28:47  kloczek
- release 2: make %{debug} ready.

Revision 1.13  2000/12/14 16:40:56  baggins
- defined no_install_post_compress_docs 1

Revision 1.12  2000/07/21 12:21:00  mis
- removed remove of dir*.rpmsave in %post - it seems, they are not created(? I saw them!),
  and generally it's not good practice

Revision 1.11  2000/07/20 16:05:56  mis
- updated to 0.13
- removed %$#@! dir.rpmsave in %post

Revision 1.10  2000/07/15 14:37:39  kloczek
- release 3.

Revision 1.9  2000/07/14 16:46:42  zagrodzki
- Prereq: zlib (fix-info-dir is not prerequired anywhere, that's why it
  has to get his libraries at installation)
- %post: run fix-info-dir in %{_infodir}

Revision 1.8  2000/07/08 15:44:06  mkochano
- Updated to 0.12.
- Added polish description and summary.
- Uses $RPM_OPT_FLAGS.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/23 12:35:23  mis
- added dir.old file
- updated to 0.11

Revision 1.5  2000/05/18 20:18:23  kloczek
- release 2,
- Source url changed to ftp://ftp.pld.org.pl/software/fix-info-dir/.

Revision 1.4  2000/05/07 19:35:25  zagrodzki
- typo

Revision 1.3  2000/05/04 19:22:43  kloczek
- now spec is PLD compliat :)
